function onStartCountdown()
	if not allowCountdown and isStoryMode then
		setProperty('inCutscene', true);
		startDialogue('dialogue');
		allowCountdown = true;
		return Function_Stop;
	end
	return Function_Continue;
end

function onEndSong()
	if not allowEnd and isStoryMode then
		setProperty('inCutscene', true);
		startVideo('EndCutscene');
		allowEnd = true;
		return Function_Stop;
	end
	return Function_Continue;
end

function onCreatePost() -- script by Kevin Kuntz
	makeLuaSprite('picoI', 'pico', getProperty('iconP1.x'), getProperty('iconP1.y'))
	setObjectCamera('picoI', 'hud')
	addLuaSprite('picoI', true)
	setObjectOrder('picoI', getObjectOrder('iconP1') + 1)
	setProperty('picoI.flipX', true)
	setProperty('picoI.visible', true)

	makeLuaSprite('picoD', 'picoDanger', getProperty('iconP1.x'), getProperty('iconP1.y'))
	setObjectCamera('picoD', 'hud')
	addLuaSprite('picoD', true)
	setObjectOrder('picoD', getObjectOrder('iconP1') + 1)
	setProperty('picoD.flipX', true)
	setProperty('picoD.visible', false)
end

function onUpdatePost(elapsed)
	setProperty('picoI.x', getProperty('iconP1.x') + 65)
    setProperty('picoI.y', getProperty('iconP1.y') - 40)
	setProperty('picoI.angle', getProperty('iconP1.angle'))

	setProperty('picoD.x', getProperty('iconP1.x') + 65)
    setProperty('picoD.y', getProperty('iconP1.y') - 40)
	setProperty('picoD.angle', getProperty('iconP1.angle'))

	if (getProperty('healthBar.percent') < 20) then
		setProperty('picoI.visible', false)
		setProperty('picoD.visible', true)
	else
		setProperty('picoI.visible', true)
		setProperty('picoD.visible', false)
	end
end